Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.InvalidRequestError: Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | The above exception was the direct cause of the following exception:
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/apscheduler/executors/base.py", line 125, in run_job
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | retval = job.func(*job.args, **job.kwargs)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "GeoHealthCheck/scheduler.py", line 197, in check_schedule
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | for resource in Resource.query.all():
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3178, in all
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return list(self)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3334, in __iter__
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return self._execute_and_instances(context)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3359, in _execute_and_instances
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | result = conn.execute(querycontext.statement, self._params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 988, in execute
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return meth(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 287, in _execute_on_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return connection._execute_clauseelement(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1107, in _execute_clauseelement
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | distilled_params,
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1182, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | e, util.text_type(statement), parameters, None, None
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1473, in _handle_dbapi_exception
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | util.raise_from_cause(sqlalchemy_exception, exc_info)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 398, in raise_from_cause
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | reraise(type(exception), exception, tb=exc_tb, cause=cause)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 152, in reraise
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | raise value.with_traceback(tb)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.StatementError: (sqlalchemy.exc.InvalidRequestError) Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [SQL: SELECT resource.auth AS resource_auth, resource.identifier AS resource_identifier, resource.resource_type AS resource_resource_type, resource.active AS resource_active, resource.title AS resource_title, resource.url AS resource_url, resource.latitude AS resource_latitude, resource.longitude AS resource_longitude, resource.owner_identifier AS resource_owner_identifier, resource.run_frequency AS resource_run_frequency
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | FROM resource]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [parameters: [{}]]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:39:07,584 - __main__ - ERROR - error_listener: EVENT_JOB_MISSED - <JobExecutionEvent (code=8192)>
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:42:25,793 - __main__ - INFO - This prints once in 5 minutes
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,576 - apscheduler.scheduler - DEBUG - Looking for jobs to run
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,578 - apscheduler.scheduler - DEBUG - Next wakeup is due at 2021-08-31 08:45:07.575165+01:00 (in 59.998257 seconds)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,578 - apscheduler.executors.default - INFO - Running job "run_job (trigger: interval[1:00:00], next run at: 2021-08-31 09:44:07 BST)" (scheduled at 2021-08-31 08:44:07.574882+01:00)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,584 - apscheduler.executors.default - INFO - Running job "check_schedule (trigger: interval[0:05:00], next run at: 2021-08-31 08:49:07 BST)" (scheduled at 2021-08-31 08:44:07.576684+01:00)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,586 - __main__ - INFO - Checking Job schedules
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,589 - apscheduler.executors.default - ERROR - Job "run_job (trigger: interval[1:00:00], next run at: 2021-08-31 09:44:07 BST)" raised an exception
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.InvalidRequestError: Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | The above exception was the direct cause of the following exception:
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/apscheduler/executors/base.py", line 125, in run_job
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | retval = job.func(*job.args, **job.kwargs)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "GeoHealthCheck/scheduler.py", line 93, in run_job
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | resource = Resource.query.filter_by(identifier=resource_id).first()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3232, in first
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | ret = list(self[0:1])
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3018, in __getitem__
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return list(res)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3334, in __iter__
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return self._execute_and_instances(context)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3359, in _execute_and_instances
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | result = conn.execute(querycontext.statement, self._params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 988, in execute
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return meth(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 287, in _execute_on_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return connection._execute_clauseelement(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1107, in _execute_clauseelement
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | distilled_params,
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1182, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | e, util.text_type(statement), parameters, None, None
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1473, in _handle_dbapi_exception
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | util.raise_from_cause(sqlalchemy_exception, exc_info)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 398, in raise_from_cause
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | reraise(type(exception), exception, tb=exc_tb, cause=cause)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 152, in reraise
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | raise value.with_traceback(tb)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.StatementError: (sqlalchemy.exc.InvalidRequestError) Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [SQL: SELECT resource.auth AS resource_auth, resource.identifier AS resource_identifier, resource.resource_type AS resource_resource_type, resource.active AS resource_active, resource.title AS resource_title, resource.url AS resource_url, resource.latitude AS resource_latitude, resource.longitude AS resource_longitude, resource.owner_identifier AS resource_owner_identifier, resource.run_frequency AS resource_run_frequency
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | FROM resource
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | WHERE resource.identifier = %(identifier_1)s
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | LIMIT %(param_1)s]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [parameters: [{}]]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,589 - apscheduler.executors.default - ERROR - Job "check_schedule (trigger: interval[0:05:00], next run at: 2021-08-31 08:49:07 BST)" raised an exception
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.InvalidRequestError: Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | The above exception was the direct cause of the following exception:
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/apscheduler/executors/base.py", line 125, in run_job
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | retval = job.func(*job.args, **job.kwargs)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "GeoHealthCheck/scheduler.py", line 197, in check_schedule
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | for resource in Resource.query.all():
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3178, in all
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return list(self)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3334, in __iter__
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return self._execute_and_instances(context)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3359, in _execute_and_instances
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | result = conn.execute(querycontext.statement, self._params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 988, in execute
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return meth(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 287, in _execute_on_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return connection._execute_clauseelement(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1107, in _execute_clauseelement
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | distilled_params,
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1182, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | e, util.text_type(statement), parameters, None, None
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1473, in _handle_dbapi_exception
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | util.raise_from_cause(sqlalchemy_exception, exc_info)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 398, in raise_from_cause
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | reraise(type(exception), exception, tb=exc_tb, cause=cause)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 152, in reraise
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | raise value.with_traceback(tb)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.StatementError: (sqlalchemy.exc.InvalidRequestError) Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [SQL: SELECT resource.auth AS resource_auth, resource.identifier AS resource_identifier, resource.resource_type AS resource_resource_type, resource.active AS resource_active, resource.title AS resource_title, resource.url AS resource_url, resource.latitude AS resource_latitude, resource.longitude AS resource_longitude, resource.owner_identifier AS resource_owner_identifier, resource.run_frequency AS resource_run_frequency
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | FROM resource]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [parameters: [{}]]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,590 - __main__ - ERROR - error_listener: EVENT_JOB_MISSED - <JobExecutionEvent (code=8192)>
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:44:07,591 - __main__ - ERROR - error_listener: EVENT_JOB_MISSED - <JobExecutionEvent (code=8192)>
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:45:07,577 - apscheduler.scheduler - DEBUG - Looking for jobs to run
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:45:07,578 - apscheduler.scheduler - DEBUG - Next wakeup is due at 2021-08-31 08:49:07.576684+01:00 (in 239.999240 seconds)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:45:07,578 - apscheduler.executors.default - INFO - Running job "run_job (trigger: interval[1:00:00], next run at: 2021-08-31 09:45:07 BST)" (scheduled at 2021-08-31 08:45:07.575165+01:00)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:45:07,582 - apscheduler.executors.default - ERROR - Job "run_job (trigger: interval[1:00:00], next run at: 2021-08-31 09:45:07 BST)" raised an exception
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.InvalidRequestError: Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | The above exception was the direct cause of the following exception:
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no |
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | Traceback (most recent call last):
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/apscheduler/executors/base.py", line 125, in run_job
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | retval = job.func(*job.args, **job.kwargs)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "GeoHealthCheck/scheduler.py", line 93, in run_job
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | resource = Resource.query.filter_by(identifier=resource_id).first()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3232, in first
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | ret = list(self[0:1])
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3018, in __getitem__
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return list(res)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3334, in __iter__
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return self._execute_and_instances(context)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/orm/query.py", line 3359, in _execute_and_instances
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | result = conn.execute(querycontext.statement, self._params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 988, in execute
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return meth(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 287, in _execute_on_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | return connection._execute_clauseelement(self, multiparams, params)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1107, in _execute_clauseelement
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | distilled_params,
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1182, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | e, util.text_type(statement), parameters, None, None
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1473, in _handle_dbapi_exception
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | util.raise_from_cause(sqlalchemy_exception, exc_info)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 398, in raise_from_cause
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | reraise(type(exception), exception, tb=exc_tb, cause=cause)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 152, in reraise
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | raise value.with_traceback(tb)
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 1177, in _execute_context
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | conn = self._revalidate_connection()
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | File "/venv/lib/python3.7/site-packages/sqlalchemy/engine/base.py", line 463, in _revalidate_connection
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | "Can't reconnect until invalid "
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | sqlalchemy.exc.StatementError: (sqlalchemy.exc.InvalidRequestError) Can't reconnect until invalid transaction is rolled back
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [SQL: SELECT resource.auth AS resource_auth, resource.identifier AS resource_identifier, resource.resource_type AS resource_resource_type, resource.active AS resource_active, resource.title AS resource_title, resource.url AS resource_url, resource.latitude AS resource_latitude, resource.longitude AS resource_longitude, resource.owner_identifier AS resource_owner_identifier, resource.run_frequency AS resource_run_frequency
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | FROM resource
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | WHERE resource.identifier = %(identifier_1)s
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | LIMIT %(param_1)s]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | [parameters: [{}]]
ghc_ghc_runner.1.y6y3fro8h0ml@csw.met.no | 2021-08-31 08:45:07,583 - __main__ - ERROR - error_listener: EVENT_JOB_MISSED - <JobExecutionEvent (code=8192)>
ubuntu@csw:~$
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment